Subject: Re: [BUILD_FAILURE] linux-next: 20081125 - 8390 network driver build fails

From: Randy Dunlap <[email-masked]>
Date: Tue, 25 Nov 2008 11:34:12 -0800

Alan Cox wrote:
>> I just reported this on netdev and said that DaveM might want to drop a patch
>> that I had submitted.  Anyway, I'm looking into it.
> 
> Ditto and the only sane interpretation I can see is that someone
> somewhere has crap in their tree that does
> 
> #define static
> 
> and this is leaking out.

The problem is that both 8390.c and 8390p.c #include lib8390.c
and when they are both linked to built-in drivers (not loadable
modules), the symbols in lib8390.c are duplicated.  I think.

~Randy